PHP is among the most commonly used dynamic programming languages. It is pretty popular since it is free software, which you can use to set up interactive sites like social networking sites, web shops or e-learning portals as opposed to static HTML websites. A PHP module must be available on the server where a PHP-driven site is hosted so that its source code can be ‘deciphered’. Because there aren’t any license taxes for such a module and the language provides countless possibilities for the web-based applications that you develop, there are 100s of millions of PHP sites. What’s more, there are tons of open-source PHP-based scripts, which you can use for your websites without needing to have any programming experience. Given the fact that there’re different PHP versions, you have to verify if the same version that you used while creating your site is installed on the server too.

PHP 4 and PHP 5 Support in Web Hosting

Our web hosting servers support different versions of PHP, which suggests that your websites will work faultlessly even if your PHP scripts are out of date. We recognize the fact that an old site does not always imply an insecure one as you may have performed plenty of modifications to its code. That’s the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can select which one will be enabled for your shared hosting account. The version can be changed with only one click of the mouse within your Hepsia hosting Control Panel and the update will take effect instantaneously. If you wish to run both older and newer scripts, there’s even an option to use a different PHP version for each domain of yours at the same time.